<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-openfin](./foundation-openfin.md) &gt; [OpenfinNotifications](./foundation-openfin.openfinnotifications.md) &gt; [toastButtons](./foundation-openfin.openfinnotifications.toastbuttons.md)

## OpenfinNotifications.toastButtons property

Array of button configs for openfin notification toasts

**Signature:**

```typescript
toastButtons: OpenfinToastButton[];
```

## Example

In these examples you could 1. View a trade, this is done by routing to the corresponding route. Dispatching the highlighted record id to the store and retrieving it in the view from the store. 2. Call an endpoint to approve a trade 3. Call an endpoint to reject a trade

```html
<openfin-notifications-listener
  ...
  :toastButtons="${x => [
    {
      {
        condition: ({details}) => details.HEADER === 'Trade added',
        action: ({details, buttonElement }) => {
          Route.path.push('/some-route') // redirect to a route
          buttonElement.$emit('some-store-event', details.TABLE_ENTITY_ID); //emit the entity id to the store
        }
      },
      placeholder: 'View Trade',
      task: 'view-trade'
   },
   {
      {
        condition: ({details}) => details.HEADER === 'Trade added',
        action: ({details, buttonElement }) => {
          const connect = getConnect();
          connect.commitEvent('approve-trade', {
            DETAILS: {
              TRADE_ID: details.TABLE_ENTITY_ID,
              APPROVED: true
            }
          })
        }
      },
      placeholder: 'Approve Trade',
      task: 'approve-trade'
   },
   {
      {
        condition: ({details}) => details.HEADER === 'Trade added',
        action: ({details, buttonElement }) => {
          const connect = getConnect();
          connect.commitEvent('approve-trade', {
            DETAILS: {
              TRADE_ID: details.TABLE_ENTITY_ID,
              APPROVED: false
            }
          })
        }
      },
      placeholder: 'Reject Trade',
      task: 'reject-trade'
   },

 ]
>
</openfin-notifications-listener>
```

